{% extends "base.html" %}

{% load static %}
{% block meta %}
    <link rel="stylesheet" href="{% static 'obatpedia/style.css' %}">
{% endblock meta %}

{% block content %}
    <div class="container-fluid" style="background-color: #383838;">
    <div class="my" style="height: 900px;">
        <div class="obatpedia-header p-3 pb-md-4 text-center">
            <h1 class="display-4 fw-bold" style="color: #FFFFFF;">Add new medicine</h1>
            <hr class="my-4" style="width: 25%; height: 3px; background-color: #FFFFFF; margin: auto">
        </div>
        <form class="mx-5" action="" method="POST" enctype="multipart/form-data">
        {% csrf_token %}
            <div class="row">
                <div class="col">
                    <div class="mb-3">
                      <label for="name" class="form-label" style="color: #FFFFFF">Name:</label>
                      <input required type="text" class="form-control" name="name" id="name" placeholder="Wonderdrug">
                    </div>
                </div>
                <div class="col">
{#                    <div class="row">#}
{#                        Image here#}
{#                    </div>#}
                    <div class="row">
                        <label class="mb-2" for ="image" style="color: #FFFFFF">Image:</label>
                        <input required type="file" name="image" accept="image/*" id="image" style="color: #FFFFFF">
                    </div>
                </div>
            </div>
            <div class="mb-3">
              <label for="description" class="form-label" style="color: #FFFFFF">Description:</label>
                <textarea required class="form-control" name="description" id="description" placeholder="Covid begone"></textarea>
            </div>
            <div class="mb-3">
              <label for="composition" class="form-label" style="color: #FFFFFF">Composition:</label>
              <textarea required class="form-control" name="composition" id="composition" placeholder="Philosopher's Stone"></textarea>
            </div>
            <div class="mb-3">
              <label for="dosage_instructions" class="form-label" style="color: #FFFFFF">Dosage and Instructions:</label>
              <textarea required class="form-control" name="dosage_instructions" id="dosage_instructions" placeholder="Consume once and be cured"></textarea>
            </div>
            <div class="mb-3">
              <label for="side_effects" class="form-label" style="color: #FFFFFF">Side effects:</label>
              <textarea required class="form-control" name="side_effects" id="side_effects" placeholder="Immortality"></textarea>
            </div>
            <input class="btn my-2" type="submit" value="Submit" style="background-color: #6B46C1; color: #FFFFFF">
            <a href="../obatpedia" class="btn my-4" role="button" style="color: #FFFFFF;background-color: #6B46C1">Cancel</a>
        </form>
        </div>
    </div>
{% endblock content %}